package app

import (
	"database/sql"
	"git.katuwoss.dev/JustScreaMy/secret-santa/internal/handlers"
	"net/http"
)

func AddRoutes(router *http.ServeMux, db *sql.DB) {
	router.HandleFunc("GET /users/{id}", handlers.HandleGetUsersByID(db))
	router.HandleFunc("GET /users/", handlers.HandleGetUsers(db))
	router.HandleFunc("POST /users/", handlers.HandleCreateUser(db))
	router.HandleFunc("DELETE /users/{id}", handlers.HandleDeleteUser(db))
}
